Table of Contents

Module: modes | ../bkchem/modes.py
--- | ---
the modes in which the paper operates (such as edit, draw etc.) reside here
Functions |
--- | ---
event_to_key
| event_to_key
    event_to_key ( event )
Classes |
arrow_mode |
atom_mode |
basic_mode |
bond_align_mode |
bracket_mode |
draw_mode |
edit_mode | basic editing mode, also good as parent for more specialized modes
external_data_mode |
mark_mode |
misc_mode | container mode for small, seldom needed modes
mode | abstract parent for all modes. No to be used for inheritation because the more specialized
plus_mode |
rapid_draw_mode |
reaction_mode |
rotate_mode |
simple_mode | little more sophisticated parent mode
template_mode |
text_mode |
user_template_mode |
vector_mode |

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1